summaryrefslogtreecommitdiff
path: root/runv
diff options
context:
space:
mode:
Diffstat (limited to 'runv')
-rwxr-xr-xrunv7
1 files changed, 5 insertions, 2 deletions
diff --git a/runv b/runv
index bf00c4f..698e83d 100755
--- a/runv
+++ b/runv
@@ -1,2 +1,5 @@
-#!/bin/bash
-valgrind -q --track-origins=yes ./toc test.toc
+#!/bin/sh
+valgrind -q --track-origins=yes ./toc test.toc || exit 1
+if [ "$1" = "c" ]; then
+ gcc out.c && ./a.out
+fi